Debian Bug report logs - #687403
libio-async-loop-epoll-perl: FTBFS: test failed

version graph

Package: libio-async-perl; Maintainer for libio-async-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libio-async-perl is src:libio-async-perl.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 12 Sep 2012 13:24:11 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version libio-async-perl/0.51-1

Fixed in version libio-async-perl/0.51-4

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#687403; Package src:libio-async-loop-epoll-perl. (Wed, 12 Sep 2012 13:24:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 12 Sep 2012 13:24:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libio-async-loop-epoll-perl: FTBFS: test failed
Date: Wed, 12 Sep 2012 15:14:31 +0200
Source: libio-async-loop-epoll-perl
Version: 0.12-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120912 qa-ftbfs
Justification: FTBFS in wheezy on amd64

Hi,

[ It seems that the fix for #680790 was not applied to
libio-async-loop-epoll-perl ? Or is it only because the fixed
libio-async-perl did not reach testing? ]

During a rebuild of all packages in *wheezy*, your package failed to
build on amd64.

Relevant part:
>  debian/rules build
> dh build
>    dh_testdir
>    dh_auto_configure
> Created MYMETA.yml and MYMETA.json
> Creating new 'Build' script for 'IO-Async-Loop-Epoll' version '0.12'
>    dh_auto_build
> Building IO-Async-Loop-Epoll
>    dh_auto_test
> t/00use.t ........... ok
> t/01loop-io.t ....... ok
> 
> #   Failed test 'One ->loop_once(1) sufficient for a single 0.1 second timer'
> #   at /usr/share/perl5/IO/Async/LoopTests.pm line 484.
> #          got: '2'
> #     expected: '1'
> # Looks like you failed 1 test of 26.
> t/02loop-timer.t .... 
> Dubious, test returned 1 (wstat 256, 0x100)
> Failed 1/26 subtests 
> t/03loop-signal.t ... ok
> t/04loop-idle.t ..... ok
> t/05loop-child.t .... ok
> t/06loop-control.t .. ok
> t/99pod.t ........... ok
> 
> Test Summary Report
> -------------------
> t/02loop-timer.t  (Wstat: 256 Tests: 26 Failed: 1)
>   Failed test:  20
>   Non-zero exit status: 1
> Files=8, Tests=105, 16 wallclock secs ( 0.06 usr  0.04 sys +  0.51 cusr  0.15 csys =  0.76 CPU)
> Result: FAIL
> Failed 1/8 test programs. 1/105 subtests failed.
> dh_auto_test: perl Build test returned exit code 255
> make: *** [build] Error 255

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/09/12/libio-async-loop-epoll-perl_0.12-1_wheezy.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#687403; Package src:libio-async-loop-epoll-perl. (Wed, 12 Sep 2012 14:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 12 Sep 2012 14:06:05 GMT) Full text and rfc822 format available.

Message #10 received at 687403@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 687403@bugs.debian.org
Cc: Paul LeoNerd Evans <leonerd@leonerd.org.uk>
Subject: Re: Bug#687403: libio-async-loop-epoll-perl: FTBFS: test failed
Date: Wed, 12 Sep 2012 16:03:18 +0200
On Wed, 12 Sep 2012 15:14:31 +0200, Lucas Nussbaum wrote:

[ http://bugs.debian.org/687403 ]

> [ It seems that the fix for #680790 was not applied to
> libio-async-loop-epoll-perl ? Or is it only because the fixed
> libio-async-perl did not reach testing? ]

Hm. Mysterious.

My understanding of #680790 and the referenced upstream bug
http://rt.cpan.org/Public/Bug/Display.html?id=78892 is that this was
a problem in libio-async-perl, and libio-async-perl 0.51-3 with the
upstream patch is in testing (and is used by your build as seen in
the log). And I just verified that the patch _is_ in the package in
the archive. [0]

*sigh*
 
Cheers,
gregor, cc'ing upstream ...

[0] from CPAN RT#78892:
"If you update libio-async-perl to 0.52, you should find that the
Epoll loop now skips those tests, because it doesn't declare
_CAN_SUBSECOND_ACCURATELY."
(And the patch in 0.51-3 backports this 0.52 change.)

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   BOFH excuse #90:  Budget cuts 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#687403; Package src:libio-async-loop-epoll-perl. (Wed, 12 Sep 2012 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 12 Sep 2012 14:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 687403@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 687403@bugs.debian.org
Subject: Re: Bug#687403: libio-async-loop-epoll-perl: FTBFS: test failed
Date: Wed, 12 Sep 2012 16:35:56 +0200
[Message part 1 (text/plain, inline)]
On Wed, 12 Sep 2012 16:03:18 +0200, gregor herrmann wrote:

> "If you update libio-async-perl to 0.52, you should find that the
> Epoll loop now skips those tests, because it doesn't declare
> _CAN_SUBSECOND_ACCURATELY."
> (And the patch in 0.51-3 backports this 0.52 change.)

Which I just confirmed by grepping through the
libio-async-loop-epoll-perl 0.12-1 source package in the archive ...


Cheers,
gregor 
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Rolling Stones: Paint It Black
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#687403; Package src:libio-async-loop-epoll-perl. (Wed, 12 Sep 2012 14:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 12 Sep 2012 14:54:04 GMT) Full text and rfc822 format available.

Message #20 received at 687403@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 687403@bugs.debian.org
Cc: Paul LeoNerd Evans <leonerd@leonerd.org.uk>
Subject: Re: Bug#687403: libio-async-loop-epoll-perl: FTBFS: test failed
Date: Wed, 12 Sep 2012 16:52:34 +0200
[Message part 1 (text/plain, inline)]
On Wed, 12 Sep 2012 16:03:18 +0200, gregor herrmann wrote:

> [ http://bugs.debian.org/687403 ]

> [0] from CPAN RT#78892:
> "If you update libio-async-perl to 0.52, you should find that the
> Epoll loop now skips those tests, because it doesn't declare
> _CAN_SUBSECOND_ACCURATELY."
> (And the patch in 0.51-3 backports this 0.52 change.)

From staring at the patch:

http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libio-async-perl.git;a=commitdiff;h=c9312eb

++# Some Loop implementations do not accurately handle sub-second timers.
++# This only matters for unit tests
++use constant _CAN_SUBSECOND_ACCURATELY => 1;

++   SKIP: {
++      skip "Unable to handle sub-second timers accurately", 3 unless $loop->_CAN_SUBSECOND_ACCURATELY;


Should this be "_CAN_SUBSECOND_ACCURATELY => 0" to turn it off unless
some loop test explicitly sets it?


Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Don McLean: Aftermath
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#687403; Package src:libio-async-loop-epoll-perl. (Thu, 20 Sep 2012 19:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 20 Sep 2012 19:12:06 GMT) Full text and rfc822 format available.

Message #25 received at 687403@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 687403@bugs.debian.org
Cc: Paul LeoNerd Evans <leonerd@leonerd.org.uk>
Subject: Re: Bug#687403: libio-async-loop-epoll-perl: FTBFS: test failed
Date: Thu, 20 Sep 2012 21:08:33 +0200
[Message part 1 (text/plain, inline)]
On Wed, 12 Sep 2012 16:52:34 +0200, gregor herrmann wrote:

[ http://bugs.debian.org/687403 ]

> From staring at the patch:
> 
> http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libio-async-perl.git;a=commitdiff;h=c9312eb
> 
> ++# Some Loop implementations do not accurately handle sub-second timers.
> ++# This only matters for unit tests
> ++use constant _CAN_SUBSECOND_ACCURATELY => 1;
> 
> ++   SKIP: {
> ++      skip "Unable to handle sub-second timers accurately", 3 unless $loop->_CAN_SUBSECOND_ACCURATELY;
> 
> 
> Should this be "_CAN_SUBSECOND_ACCURATELY => 0" to turn it off unless
> some loop test explicitly sets it?

Ok, some investigation:
The tests can either be skipped by
- either setting _CAN_SUBSECOND_ACCURATELY to 0 in libio-async-perl
- or in libio-async-loop-epoll-perl

Both patches attached.


Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Bettina Wegner: Über den Berg
[687403_libio-async-loop-epoll-perl.diff (text/x-diff, attachment)]
[687403_libio-async-perl.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#687403; Package src:libio-async-loop-epoll-perl. (Thu, 18 Oct 2012 08:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 18 Oct 2012 08:51:05 GMT) Full text and rfc822 format available.

Message #30 received at 687403@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 687403@bugs.debian.org
Cc: Paul LeoNerd Evans <leonerd@leonerd.org.uk>
Subject: Re: Bug#687403: libio-async-loop-epoll-perl: FTBFS: test failed
Date: Thu, 18 Oct 2012 10:48:37 +0200
On Thu, 20 Sep 2012 21:08:33 +0200, gregor herrmann wrote:

> [ http://bugs.debian.org/687403 ]
> 
> > From staring at the patch:
> > 
> > http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libio-async-perl.git;a=commitdiff;h=c9312eb
> > 
> > ++# Some Loop implementations do not accurately handle sub-second timers.
> > ++# This only matters for unit tests
> > ++use constant _CAN_SUBSECOND_ACCURATELY => 1;
> > 
> > ++   SKIP: {
> > ++      skip "Unable to handle sub-second timers accurately", 3 unless $loop->_CAN_SUBSECOND_ACCURATELY;
> > 
> > 
> > Should this be "_CAN_SUBSECOND_ACCURATELY => 0" to turn it off unless
> > some loop test explicitly sets it?
> 
> Ok, some investigation:
> The tests can either be skipped by
> - either setting _CAN_SUBSECOND_ACCURATELY to 0 in libio-async-perl
> - or in libio-async-loop-epoll-perl
> 
> Both patches attached.

Paul, did you have a change to look into this issue?

(FWIW: My intuition is that setting _CAN_SUBSECOND_ACCURATELY to 0 as
the default would make sense.)

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   BOFH excuse #32:  techtonic stress 



Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 20 Oct 2012 16:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#687403; Package src:libio-async-loop-epoll-perl. (Wed, 24 Oct 2012 21:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 24 Oct 2012 21:45:11 GMT) Full text and rfc822 format available.

Message #37 received at 687403@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 687403@bugs.debian.org
Cc: Paul LeoNerd Evans <leonerd@leonerd.org.uk>
Subject: Re: Bug#687403: libio-async-loop-epoll-perl: FTBFS: test failed
Date: Wed, 24 Oct 2012 23:35:41 +0200
[Message part 1 (text/plain, inline)]
Control: reassign -1 libio-async-perl
Control: found -1 0.51-1
# we could also merge it with #680790 but meh.

On Thu, 18 Oct 2012 10:48:37 +0200, gregor herrmann wrote:

> > > Should this be "_CAN_SUBSECOND_ACCURATELY => 0" to turn it off unless
> > > some loop test explicitly sets it?
> > 
> > Ok, some investigation:
> > The tests can either be skipped by
> > - either setting _CAN_SUBSECOND_ACCURATELY to 0 in libio-async-perl
> > - or in libio-async-loop-epoll-perl
> > 
> > Both patches attached.
> 
> Paul, did you have a change to look into this issue?
> 
> (FWIW: My intuition is that setting _CAN_SUBSECOND_ACCURATELY to 0 as
> the default would make sense.)

In a quick chat on IRC Paul confirmed this -- thanks.

Cheers,
gregor, preparing an upload
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Paul Mc Cartney: However Absurd
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'src:libio-async-loop-epoll-perl' to 'libio-async-perl'. Request was from gregor herrmann <gregoa@debian.org> to 687403-submit@bugs.debian.org. (Wed, 24 Oct 2012 21:45:11 GMT) Full text and rfc822 format available.

No longer marked as found in versions libio-async-loop-epoll-perl/0.12-1. Request was from gregor herrmann <gregoa@debian.org> to 687403-submit@bugs.debian.org. (Wed, 24 Oct 2012 21:45:12 GMT) Full text and rfc822 format available.

Marked as found in versions libio-async-perl/0.51-1. Request was from gregor herrmann <gregoa@debian.org> to 687403-submit@bugs.debian.org. (Wed, 24 Oct 2012 21:45:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#687403; Package libio-async-perl. (Wed, 24 Oct 2012 21:57:07 GMT) Full text and rfc822 format available.

Message #46 received at 687403@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 687403@bugs.debian.org, 687403-submitter@bugs.debian.org
Subject: Pending fixes for bugs in the libio-async-perl package
Date: Wed, 24 Oct 2012 21:54:22 +0000
tag 687403 + pending
thanks

Some bugs in the libio-async-perl package are closed in revision
191f3e206e424a8f810fd1b6124f48b620404b8f in branch 'master' by gregor
herrmann

The full diff can be seen at
http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libio-async-perl.git;a=commitdiff;h=191f3e2

Commit message:

    Update subscond.patch: set _CAN_SUBSECOND_ACCURATELY to 0.
    
    Turn of the subsecond tests by default, individual loops can than enable
    them. -- Change confirmed by upstream on IRC.
    
    Closes: #687403
    Thanks: Paul "LeoNerd" Evans for confirming this fix.




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Wed, 24 Oct 2012 21:57:09 GMT) Full text and rfc822 format available.

Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#687403. (Wed, 24 Oct 2012 21:57:11 GMT) Full text and rfc822 format available.

Added indication that 687403 affects libio-async-loop-epoll-perl Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 24 Oct 2012 22:06:06 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 24 Oct 2012 22:06:11 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 24 Oct 2012 22:06:11 GMT) Full text and rfc822 format available.

Message #58 received at 687403-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 687403-close@bugs.debian.org
Subject: Bug#687403: fixed in libio-async-perl 0.51-4
Date: Wed, 24 Oct 2012 22:02:31 +0000
Source: libio-async-perl
Source-Version: 0.51-4

We believe that the bug you reported is fixed in the latest version of
libio-async-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687403@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libio-async-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 24 Oct 2012 23:43:00 +0200
Source: libio-async-perl
Binary: libio-async-perl
Architecture: source all
Version: 0.51-4
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libio-async-perl - module providing asynchronous filehandle I/O
Closes: 687403
Changes: 
 libio-async-perl (0.51-4) unstable; urgency=low
 .
   * Update subscond.patch: set _CAN_SUBSECOND_ACCURATELY to 0.
     Turn of the subsecond tests by default, individual loops can than enable
     them. -- Change confirmed by upstream on IRC. Thanks to Paul "LeoNerd"
     Evans for confirming this fix. (Closes: #687403)
Checksums-Sha1: 
 4a7b856d8e1ee46687a56b14bc09dfc7a11ed768 2352 libio-async-perl_0.51-4.dsc
 8d6f1017a78cc8b1746a375851210fa640300d0e 5289 libio-async-perl_0.51-4.debian.tar.gz
 5f3fd24e9339a831531ac4f0514a76e1d3137e3f 262772 libio-async-perl_0.51-4_all.deb
Checksums-Sha256: 
 242c9e4fbc469d5160c7905c621c161aab8c54af8bedbe14f79d6d3326b5cd2c 2352 libio-async-perl_0.51-4.dsc
 bbc11645f35bce996d871d323132174c862981a942a003a2cd0078d94e65ab12 5289 libio-async-perl_0.51-4.debian.tar.gz
 e0df2d9124a8601312b827a3bebd3a2399732d6ae2425883be63b98fc6e3ddc3 262772 libio-async-perl_0.51-4_all.deb
Files: 
 9471933ab1b7e448404f9501d68ccb84 2352 perl optional libio-async-perl_0.51-4.dsc
 f71f43ea55d086f8a42e1f25abde8b2e 5289 perl optional libio-async-perl_0.51-4.debian.tar.gz
 d84d73de2148db1b60c39717e7bdeed2 262772 perl optional libio-async-perl_0.51-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQiGGIAAoJELs6aAGGSaoG5kkP/24SERRu4P5/V7+OXTi23hB0
wlNU6+1g2ZgIyxCiov9Stk9uw0AF4sOeJsI4772kUjcuAohu0Vmg3R2V5Qowd2q8
rVbT2i8dZvaTy+RW7aW5etrg1IDPgK9RZk/CvO+Mw1QXii+PMAg80EaitUwiJjG9
SXBBMONYXRZOHSZ4SRUTeKyFF4OydhTB19x5lRyIK2DdOt4ac/YIOlnW5epyzc8L
LQEWPQY9KEfoLWQLBhhJz/Fz2oxnpirSgW5w7e7IeQOQAQU1Ty/tr/7LJK59CEWC
kk7CnzXWz04H48kTdiHIbCAcRwQYBzEufUnwTavaFtz9y+a3LPE11o4vfjdFkIhe
OANlgxm8d24MVQ9CnJBIZJ8voKBQ4gT5owAJ2srfpBfkLPOvevDB/W5EmOV6QG4q
7KewsV/UTy8mC14VtmhCQcFPCvtoOSrBhhYoS3gftKcV3GtPSA/l+J23uzcUKDyb
DPLLjajE7+v6e8YDB2VQcuWzah7DmtNAHQUJSz3LjNOI/alSA0QduSSsvI2gtzFp
TRjlriMTwrQ2FaJCj/v+FfOVmqdiMjfPpC1/9DkSB4G6GMUsBcm1MVkLXloR8x8p
Z1/eV1o6yfzLQ1J57XQYGmYBjxepH4ixuVvDG8USUyOpSz+iFnIjVSfpNY7vopVn
D8OSVmzOQSfSgo/xbjTe
=0TNl
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Dec 2012 07:25:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:21:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.